#
# $Id: emproc.pl,v 1.5 2002/03/26 08:01:22 gvacanti Exp $
#
# Parameters taken from sub-tasks run by emproc.
#

%taskpar = (
	    #
	    # GTI
	    #
	    'hkgtigen' => ['withparameters', 'parameters', 'except',
			   'withoverrideparameters', 'overrideparameters'],
	    
	    #
	    # bad pixels
	    #
	    'badpixfind' => ['backgroundrate', 'columnsearchlabel',
			     'flickerchisqthresh', 'flickerksthresh',
			     'flickertimesteps', 'hicolthresh',
			     'hienergythresh', 'hithresh',
			     'locolthresh', 'loenergythresh',
			     'lothresh', 'narrowerthanpsf',
			     'threshabovebackground', 'thresholdlabel']	,
	    
	    #
	    # background removal
	    #
	    'emframes' => ['cosmicoutoverin', 'cosmicsize',
			   'withsrccoords', 'srcra', 'srcdec'],
	    
	    #
	    # event reconstruction
	    #
	    'emevents' => ['rejecte3', 'e3thresholds', 'keepsifluor',
			   'maxeventsperrow', 'randomizeposition',
			   'randomizetime', 'rejectrows',
			  ],
	    'emenergy' => ['randomizeenergy', 'rejecte3e4', 'e3e4ellipse',
			   'useccfdarkframe'],
	   );

%pardefaults = (
		# badpixfind
		'thresholdlabel' => 'rate',
		'backgroundrate' => -1,
		'hithresh' => 0.005,
		'narrowerthanpsf' => 3.0,
		#
		'randomizetime' => 'true',
		);
